﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.Data.SqlClient;

namespace RegisterLoginUserForm
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }
        //initializes new instance 
        SqlConnection con = new SqlConnection();
        SqlDataAdapter da = new SqlDataAdapter();
        SqlCommand cmd = new SqlCommand();
        DataTable dt = new DataTable();
        //declare a variable
        string query;
        int result;


       private void LoginUser(string query)
        {
            //opening connection
            con.Open();
            try
            {
                //initialize a new instance of sqlcommand
                cmd = new SqlCommand();
                //set a connection used by this instance of sqlcommand
                cmd.Connection = con;
                //set the sql statement to execute at the data source
                cmd.CommandText = query;
                //initialize a new instance of sqlDataAdapter
                da = new SqlDataAdapter();
                //set the sql statement or stored procedure to execute at the data source
                da.SelectCommand = cmd;
                //initialize a new instance of DataTable
                dt = new DataTable();
                //add or resfresh rows in the certain range in the datatable to match those in the data source.
                da.Fill(dt);

                if (dt.Rows.Count > 0)
                {
                    MessageBox.Show("You have login succesfully!");
                }
                else
                {
                    MessageBox.Show("Account does not exist.","Failed" ,MessageBoxButtons.OK ,MessageBoxIcon.Exclamation);
                }


            }
            catch (Exception ex)
            {
                //catching error 
                MessageBox.Show(ex.Message);
            }
            //release all resources used by the component
            da.Dispose();
            //closing connection
            con.Close();
        }


        private void RegisterUser(string query)
        {
            //opening connection
            con.Open();
            try
            {
                //initialize a new instance of sqlcommand
                cmd = new SqlCommand();
                //set a connection used by this instance of sqlcommand
                cmd.Connection = con;
                //set the sql statement to execute at the data source
                cmd.CommandText = query;

                result = cmd.ExecuteNonQuery();

                if (result > 0)
                {
                    MessageBox.Show("You are succesfully registered!");
                }
                else
                {
                    MessageBox.Show("Failed to save.", "Failed", MessageBoxButtons.OK, MessageBoxIcon.Exclamation);
                }


            }
            catch (Exception ex)
            {
                //catching error 
                MessageBox.Show(ex.Message);
            }
              //closing connection
            con.Close();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            //set a connection between SQL server and Visual C#
            con.ConnectionString = "Data Source=.\\SQLEXPRESS;Database=dbguest;trusted_connection=true;";

        }
       
        private void btnSave_Click(object sender, EventArgs e)
        {
            query = "INSERT INTO tblguest (GNAME,GUSERNAME,GPASS) VALUES ('" + txtName .Text  +"','" + txtRegUsername.Text +"','" + txtRegPass.Text  +"')";
            RegisterUser(query);
        }

        private void btnLogin_Click(object sender, EventArgs e)
        {
            query = "SELECT * FROM tblguest WHERE GUSERNAME='" + txtUsername .Text  + "' AND GPASS='" + txtPass .Text  + "'";
            LoginUser(query);
        }


        
    }
}
